1. Blocks
Backoffice API
  • Back to home
  • Community
  • Events
    • Blocks
      • Event blocks by id
      • Manage Event blocks by id
      • Event Block entries by ids
      • Manage Event Block entries by ids
    • Metadata
      • All Event Metadata
      • Update all Event Metadata
    • List events
      GET
    • Create Event
      POST
    • Event by id
      GET
    • Update Event by id
      PATCH
    • Remove Event by id
      DELETE
    • Event occurrences by id
      GET
    • Update Event Block by ids
      PATCH
    • Switch Profile Type by Event id
      POST
    • Change event's workspace
      POST
  • Organizations
    • Blocks
      • Organization blocks by id
      • Manage Organization blocks by id
      • Organization Block entries by ids
      • Manage Organization Block entries by ids
    • Metadata
      • All Organization Metadata
      • Update all Organization Metadata
    • List organizations
      GET
    • Create Organization
      POST
    • Organization by id
      GET
    • Update Organization by id
      PATCH
    • Remove Organization by id
      DELETE
    • Update Organization Block by ids
      PATCH
    • Switch Profile Type by Organization id
      POST
    • Change organization's workspace
      POST
  • People
    • Blocks
      • Person blocks by id
      • Manage Person blocks by id
      • Person Block entries by ids
      • Manage Person Block entries by ids
    • Metadata
      • All Person Metadata
      • Update all Person Metadata
    • List people
    • Create Person
    • Person by id
    • Update Person by id
    • Remove Person by id
    • Update Person Block by ids
    • Switch Profile Type by Person id
    • Change person's workspace
  • Projects
    • Blocks
      • Project blocks by id
        GET
      • Manage Project blocks by id
        PUT
      • Project Block entries by ids Copy
        GET
      • Manage Project Block entries by ids
        PUT
    • Metadata
      • All Project Metadata
      • Update all Project Metadata
    • List projects
      GET
    • Create Project
      POST
    • Project by id
      GET
    • Update Project by id
      PATCH
    • Remove Project by id
      DELETE
    • Update Project Block by ids
      PATCH
    • Switch Profile Type by Project id
      POST
    • Change project's workspace
      POST
  1. Blocks

Manage Project Block entries by ids

PUT
/community/v2/projects/{project_id}/blocks/{block_id}/entries
Block Entry could either be of type Content or Relation depending on Block type.
Also, the relation must belong to the related Profile type.
Positions are always determined by the entries place in the entries array.

Request

Authorization
API Key
Add parameter in header
x-api-key
Example:
x-api-key: ********************
or
API Key
Add parameter in query
api_key
Example:
api_key: ********************
or
Path Params

Body Params application/json

Examples

Responses

🟢200Success
application/json
Body

🟠400Invalid UUID
🟠400Bad Request
🟠401Unauthorized API KEY
🟠403Unauthorized roles
🟠404Entity not found
Request Request Example
Shell
JavaScript
Java
Swift
curl --location -g --request PUT 'https://prod.your-api-server.com/community/v2/projects/{{community_project_id}}/blocks/5132a807-2bf2-4834-b890-7d4fdd63ba7e/entries' \
--header 'x-api-key: <api-key>' \
--header 'Content-Type: application/json' \
--data-raw '[
    {
        "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",
        "content_id": "713e4c61-5a69-43fb-a600-2e2699462e14",
        "relation_id": "db83d865-cb76-4d51-8e9b-097dfcf4e259"
    }
]'
Response Response Example
200 - Example 1
{
    "data": [
        {
            "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",
            "content_id": "713e4c61-5a69-43fb-a600-2e2699462e14",
            "relation_id": "db83d865-cb76-4d51-8e9b-097dfcf4e259"
        }
    ]
}
Modified at 2026-03-02 08:04:45
Previous
Project Block entries by ids Copy
Next
All Project Metadata
Built with